Name:                gfbgraph
Version:             0.2.4
Release:             2
Summary:             GLib/GObject wrapper for the Facebook Graph API
License:             LGPLv2+
URL:                 https://wiki.gnome.org/Projects/GFBGraph
Source0:             https://download.gnome.org/sources/gfbgraph/0.2/gfbgraph-%{version}.tar.xz
Patch0:              CVE-2021-39358.patch
BuildRequires:       pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0)
BuildRequires:       pkgconfig(goa-1.0) gobject-introspection-devel gtk-doc pkgconfig(json-glib-1.0)
BuildRequires:       pkgconfig(libsoup-2.4) pkgconfig(rest-0.7)
Requires:            gobject-introspection
%description
GLib/GObject wrapper for the Facebook Graph API that integrates with GNOME
Online Accounts.

%package        devel
Summary:             Development files for gfbgraph
Requires:            gobject-introspection-devel gfbgraph%{?_isa} = %{version}-%{release}
%description    devel
The gfbgraph-devel package contains libraries and header files for
developing applications that use gfbgraph.

%prep
%setup -q
%patch0 -p1

%build
sh autogen.sh
%configure \
  --disable-silent-rules \
  --disable-static \
  --enable-gtk-doc \
  --enable-introspection
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
%ldconfig_scriptlets

%files
%doc AUTHORS
%doc COPYING
%doc NEWS
%doc README
%{_libdir}/libgfbgraph-0.2.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GFBGraph-0.2.typelib

%files devel
%{_libdir}/libgfbgraph-0.2.so
%{_libdir}/pkgconfig/libgfbgraph-0.2.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GFBGraph-0.2.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%doc %{_datadir}/gtk-doc/html/gfbgraph-0.2
%dir %{_includedir}/gfbgraph-0.2
%{_includedir}/gfbgraph-0.2/gfbgraph

%changelog
* Mon Nov 15 2021 liwu <liwu13@huawei.com> - 0.2.4-2
- Fix CVE-2021-39358

* Thu Jun 17 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 0.2.4-1
- Upgrade to 0.2.4

* Mon Jul 20 2020 yaokai <yaokai13@huawei.com> - 0.2.3-1
- package init
